Cisco 7916 Expansion module upgrade firmware

Unanswered Question
Jun 11th, 2009
User Badges:

Hi guys,


I have a CUCM version 7.0.1 and I am trying to upgrade to a cisco 7916 expansion module the IOS. I have to underline that I am doing that to all the IP phones in the cluster and everything works fine.

Everytime I upgrade an IOS and resetting the phone the upgrade is valid and the phone is working fine.

When I am doing that with the 7916 the firmware remains the same (default1.0.2SR1) and nothing changes.

I have uploaded the new IOS 1.0.3 and I have checked the default firmware version in the CUCM gui in case that I had made a mistake but NOT. In the CUCM it is clearly stated that the module should upload the new version. I also restarted the TFTP service but still nothing.


Does anyone have a clue how to fix that?


Is there a key sequence like the hold # and press 123456789*0# to reset the 7916 module?


Thanks for your help

Nick

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Rob Huffman Thu, 06/11/2009 - 04:57
User Badges:
  • Super Blue, 32500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 IP Telephony, Unified Communications

Hi Nick,


Can you please tell us what version of Firmware the IP Phones are running? There are some compatability constraints based on this relationship.


Cheers!

Rob

gialias2002 Thu, 06/11/2009 - 05:24
User Badges:

Hi Rob,


The current firmware that the modules use is 1.0.2SR1.

I have installed in the server the 1.0.3 and I can see it in the device defaults.


Cheers

Nick

Rob Huffman Thu, 06/11/2009 - 06:17
User Badges:
  • Super Blue, 32500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 IP Telephony, Unified Communications


Sorry Nick :) The Firmware the "Phones" (7961,7962,7965 etc) are running, not the modules.


Cheers!

Rob

gialias2002 Thu, 06/11/2009 - 23:49
User Badges:

The phones are 7975G and I have just updated their firmware with the newest 8.5.2 version.


Cheers

Nick

Rob Huffman Fri, 06/12/2009 - 05:45
User Badges:
  • Super Blue, 32500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 IP Telephony, Unified Communications

Hi Nick,


That is strange! When you downloaded the new Firmware from CCO did you check the MD5 Checksum to verify the file integrity?


Rob

gialias2002 Fri, 06/12/2009 - 06:11
User Badges:

Hi Rob,


Yeap. Everything done as usual. The file integrity has been checked and the file has been downloaded by CCO not somewhere else.

I don't think that is the file as the CUCM accepts it and in the device defaults tab shows the updated firmaware which means that its done.

Cheers

Nick

Rob Huffman Fri, 06/12/2009 - 11:44
User Badges:
  • Super Blue, 32500 points or more
  • Hall of Fame,

    Founding Member

  • Cisco Designated VIP,

    2017 IP Telephony, Unified Communications

Hi Nick,


Maybe we are seeing this bug in action;


CSCsl92973 Bug Details


7915/16 Load info in Device Defaults don't work


Symptom:

7915/16 KEM modules are listed as Protocol "UNSPECIFIED", where as TFTP config does not report loadinformation for these Modules.


Conditions:

7915/16 KEM modules are listed as Protocol "UNSPECIFIED", where as TFTP config does not report loadinformation for these Modules.


Workaround: None


Further Problem Description:

Status

Fixed


Severity

3 - moderate


Last Modified

In Last 3 Days


Product

Cisco Unified Communications Manager (CallManager)


Technology



1st Found-In

6.1(0.9901.334)


Fixed-In

7.0(0.39000.13)

6.1(1.9901.38)

6.1(2.1000.13)

5.1(3.4105.1)

6.0(1.3107.1)

7.0(0.66666.1)

7.0(0.66666.2)

6.1(1.3116.1)

7.0(1.11000.2)

4.3(2.137)

4.3(2.138)

4.2(3)ES73

4.3(8.1)

4.3(2)ES10

6.1(3.9999.1)



Hope this helps!

Rob


Actions

This Discussion